Bug Hunting Session
Bug 79719 - FILEOPEN / EDITING: ##-MMM-## not recognized as date
Summary: FILEOPEN / EDITING: ##-MMM-## not recognized as date
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.4.0 target:4.3.0.1 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 11:21 UTC by Eike Rathke
Modified: 2014-06-10 12:34 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2014-06-06 11:21:17 UTC
While a ##-MMM-## date format is ambiguous, for example 12-MAR-14 could be either 2012-03-14 or 2014-03-12 depending on convention, and therefor is not automatically recognized as date, this crappy format is written by some big vendor's database reports instead of an unambiguous ##-MMM-#### or ISO 8601 YYYY-MM-DD

Change date recognition such that ##-MMM-## is assumed to be ##-MMM-#### (only if the first number is a day value of course).
Comment 1 Commit Notification 2014-06-06 11:41:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6992cd0d7c085ba05877e6f68ac0650dd09010f

resolved fdo#79719 recognize ##-MMM-## as date even if ambiguous



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-06-06 11:43:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f268cc14b3e3eab16b6bacf546431122acfdb7a&h=libreoffice-4-3

resolved fdo#79719 recognize ##-MMM-## as date even if ambiguous


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2014-06-06 11:49:34 UTC
Pending review
for 4-2 at https://gerrit.libreoffice.org/9665
for 4-2-5 at https://gerrit.libreoffice.org/9667
Comment 4 Commit Notification 2014-06-09 16:54:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9920c72a200f2a27aa52fa249784e60425972de5&h=libreoffice-4-2

resolved fdo#79719 recognize ##-MMM-## as date even if ambiguous


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-06-10 12:34:08 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22f06514c987f50ce15fba42b0cf8de44d6c1c9d&h=libreoffice-4-2-5

resolved fdo#79719 recognize ##-MMM-## as date even if ambiguous


It will be available already in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.